#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint isw_mobile_sdk.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'isw_mobile_sdk'
  s.version          = '1.1.1'
  s.summary          = 'Interswitch payment SDK'
  s.description      = <<-DESC
Interswitch Mobile payment sdk plugin for flutter.
                       DESC
  s.homepage         = 'https://github.com/techquest/isw_mobile_sdk_flutter'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'techquest@interswitchng.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.platform = :ios, '12.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
  
  
  s.preserve_paths = 'IswMobileSdk.xcframework/**/*'
  s.xcconfig = { 'OTHER_LDFLAGS' => '-framework IswMobileSdk' }
  s.vendored_frameworks = 'IswMobileSdk.xcframework'
end
